Bug 902876 - RHQ 4.6 installer overwrites config of other as7 on the system
RHQ 4.6 installer overwrites config of other as7 on the system
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.5
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: RHQ 4.6
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 10:28 EST by Heiko W. Rupp
Modified: 2013-09-03 10:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:46:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-01-22 10:28:30 EST
Have a rhq server (in dev mode) and a as7 in standalone mode.

Restart the rhq server

You will find that in the standalone as7 config the ports for the web are now changed to the ones of the rhq server

   <socket-binding name="ajp" port="${rhq.server.socket.binding.port.ajp:7009}"/>
        <socket-binding name="http" port="${rhq.server.socket.binding.port.http:7080}"/>
        <socket-binding name="https" port="${rhq.server.socket.binding.port.https:7443}"/>
Comment 1 John Mazzitelli 2013-01-23 09:55:44 EST
Short term solution is in the install docs, we need to tell people to shutdown any standalone AS7 instances they have running before they run rhq-installer.sh/bat.

I'd have to look into this some more to find out why this is happening. I think it has to do with the installer first looking to see if the standard admin port is listening for commands (9999) and if it is, it uses it (rather than the RHQ port of 6999).
Comment 2 John Mazzitelli 2013-01-23 09:59:46 EST
there is a big problem that heiko just brought up.

Because we try to be nice and do a "rhq-installer.sh --reconfig" everytime you start the server, I think its possible we might be connecting to anything on port 9999 first and that's a standard AS7 port. We'll then just try to reconfigure that standalone AS7 and not the RHQ AS7. If that's what is happening, then this is a blocker and needs to be fixed for 4.6.
Comment 3 John Mazzitelli 2013-01-23 11:44:41 EST
to replicate the problem, install a standalone AS7 and just run it with "standalone.sh" - just run a clean out-of-box version, nothing special.

Now, in rhq-server.properties, set these values to a non-localhost hostname (say, 192.168.1.100 or whatever your host is)

jboss.bind.address=192.168.1.100
jboss.bind.address.management=192.168.1.100
rhq.autoinstall.public-endpoint-address=192.168.1.100
Comment 4 John Mazzitelli 2013-01-23 12:54:44 EST
git commit to master: a5fbc0fad49bcabf3b5b880e12f452ff79394aee

to test, just follow comment #3
Comment 5 Heiko W. Rupp 2013-09-03 10:46:35 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.